MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::TileRectStateInfo Class Reference

`#include <MyGUI_CommonStateInfo.h>`

Inheritance diagram for MyGUI::TileRectStateInfo:
[legend]

## Public Types
typedef RTTIBase | Base
typedef TileRectStateInfo | RTTIBase
Public Types inherited from MyGUI::IStateInfo
typedef RTTIBase | Base
typedef IStateInfo | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| TileRectStateInfo ()
virtual | ~TileRectStateInfo ()
const FloatRect & | getRect () const
const IntSize & | getTileSize () const
bool | getTileH () const
bool | getTileV () const
Public Member Functions inherited from MyGUI::IStateInfo
template<typename Type >
bool | isType () const
virtual | ~IStateInfo ()
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IStateInfo
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 52 of file MyGUI_CommonStateInfo.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::TileRectStateInfo::Base

Definition at line 55 of file MyGUI_CommonStateInfo.h.

typedef TileRectStateInfo MyGUI::TileRectStateInfo::RTTIBase

Definition at line 55 of file MyGUI_CommonStateInfo.h.

## Constructor & Destructor Documentation

MyGUI::TileRectStateInfo::TileRectStateInfo | ( |  | ) |
| inline

Definition at line 58 of file MyGUI_CommonStateInfo.h.

virtual MyGUI::TileRectStateInfo::~TileRectStateInfo | ( |  | ) |
| inline virtual

Definition at line 64 of file MyGUI_CommonStateInfo.h.

## Member Function Documentation

static const std::string& MyGUI::TileRectStateInfo::getClassTypeName | ( |  | ) |
| inline static

Definition at line 55 of file MyGUI_CommonStateInfo.h.

const FloatRect& MyGUI::TileRectStateInfo::getRect | ( |  | ) | const
| inline

Definition at line 66 of file MyGUI_CommonStateInfo.h.

bool MyGUI::TileRectStateInfo::getTileH | ( |  | ) | const
| inline

Definition at line 76 of file MyGUI_CommonStateInfo.h.

const IntSize& MyGUI::TileRectStateInfo::getTileSize | ( |  | ) | const
| inline

Definition at line 71 of file MyGUI_CommonStateInfo.h.

bool MyGUI::TileRectStateInfo::getTileV | ( |  | ) | const
| inline

Definition at line 81 of file MyGUI_CommonStateInfo.h.

virtual const std::string& MyGUI::TileRectStateInfo::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IStateInfo.

Definition at line 55 of file MyGUI_CommonStateInfo.h.

virtual bool MyGUI::TileRectStateInfo::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IStateInfo.

Definition at line 55 of file MyGUI_CommonStateInfo.h.

template<typename Type >

bool MyGUI::TileRectStateInfo::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 55 of file MyGUI_CommonStateInfo.h.

The documentation for this class was generated from the following file:

- MyGUI_CommonStateInfo.h